version: 1
formatters:
  brief:
    datefmt: "%Y-%m-%d %H:%M:%S"
    format: "%(asctime)s  %(message)s"
  complete:
    datefmt: "%Y-%m-%d %H:%M:%S"
    format: "%(asctime)s  %(levelname)-9s   %(funcName)-16s   line: %(lineno)-5s   %(message)s"
handlers:
  console:
    class : logging.StreamHandler
    formatter: complete
    level   : DEBUG
    stream  : ext://sys.stdout
loggers:
  main:
    propagate: False
    level: DEBUG
    handlers: [console]
root:
  level: DEBUG
  handlers: [console]
